﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFighter
{
    internal interface IDrawingObject : IEquatable<IDrawingObject>
    {
        public float Step { get; }
        void SetObject(int x, int y, int width, int height);
        void MoveObject(Direction direction);
        void DrawningObject(Graphics g);
        string GetInfo();
        (float Left, float Right, float Top, float Bottom) GetCurrentPosition();
    }

}
